/*
Theme Name: Salient Child Theme
Description: This is a custom child theme for Salient
Theme URI:   https://themeforest.net/item/salient-responsive-multipurpose-theme/4363266
Author: ThemeNectar
Author URI:  https://themeforest.net/user/themenectar
Template: salient
Version: 1.0
*/

@font-face{
	font-family:'FontAwesome';
	src:url('/wp-content/themes/salient-child/css/fonts/fontawesome-webfont-ddb.eot?v=4.2');
	src:url('/wp-content/themes/salient-child/css/fonts/fontawesome-webfont-ddb.eot?#iefix&v=4.2') format('embedded-opentype'),
		url('/wp-content/themes/salient-child/css/fonts/fontawesome-webfont-ddb.svg#fontawesomeregular?v=4.2') format('svg'),
	    url('/wp-content/themes/salient-child/css/fonts/fontawesome-webfont-ddb.woff?v=4.2') format('woff'),
	    url('/wp-content/themes/salient-child/css/fonts/fontawesome-webfont-ddb.ttf?v=4.2') format('truetype');
	font-weight:normal;
	font-style:normal;
}

/* Header Nav */
#header-outer {
    border-bottom:1px solid #fff!important;
}

li.slide-out-widget-area-toggle {
    border-left:1px solid #fff!important;
}

li#social-in-menu {
    border-right:1px solid #fff!important;
    padding-right:28px!important;
}

@media only screen and (min-width: 1000px) and (max-width: 1120px) {
	li#social-in-menu {
	    display:none!important;
	}
}

/* Header Nav - Material Skin */
body #header-outer[data-transparent-header="true"][data-remove-border="true"] {
    border-bottom:1px solid #fff!important;
}

li.slide-out-widget-area-toggle {
    padding-left:28px!important;
}

/*nav social icons */
body.material #header-outer #social-in-menu i {
    font-size: 24px!important;
    line-height: 34px !important;
    height: 32px !important;
    transition:0.3s!important;
    -webkit-transition: 0.3s!important; /* Safari */
}

body.material #header-outer #social-in-menu i:hover {
    transform: translate3d(0,0,0);
    color:#fff!important;
    transition:0.3s!important;
    -webkit-transition: 0.3s!important; /* Safari */
}

/* hide header for transparent nav */
#page-header-wrap {
    display:none!important;
}

/* Off-Canvas Nav */
div.off-canvas-menu-container.mobile-only {
    display:none!important;
}

@media only screen and (min-width: 1000px) and (max-width: 1120px) {
	#slide-out-widget-area .mobile-only {
	    display:none!important;
	}
}

/* general CSS */
.gallery-button {
    padding: 10px 41px!important;
}

a.nectar-button:hover {
    opacity:0.6!important;
}

.uppercase-type {
    text-transform: uppercase!important;
}

/* Our Ice Cream */
.flavour {
    border:2px solid #f1cfdc!important;
}

.flavours .dairy-wheat-nut .img-with-aniamtion-wrap:after {
    content: url(/wp-content/uploads/2019/07/Icon-Dairy-Wheat-Nut.svg);
    position: relative;
    display: block;
    bottom: 152px;
    left: 10px;
    width: 0px;
    height: 0px;
}

.flavours .wheat-nut .img-with-aniamtion-wrap:after {
    content: url(/wp-content/uploads/2019/07/Icon-Wheat-Nut.svg);
    position: relative;
    display: block;
    bottom: 106px;
    left: 10px;
    width: 0px;
    height: 0px;
}

.flavours .nut .img-with-aniamtion-wrap:after {
    content: url(/wp-content/uploads/2019/07/Icon-Nut-Free.svg);
    position: relative;
    display: block;
    bottom: 60px;
    left: 10px;
    width: 0px;
    height: 0px;
}

.flavours .wheat .img-with-aniamtion-wrap:after {
    content: url(/wp-content/uploads/2019/07/Icon-Wheat-Free.svg);
    position: relative;
    display: block;
    bottom: 60px;
    left: 10px;
    width: 0px;
    height: 0px;
}

/* Map 
div.nectar-leaflet-map:after {
    content: "";
    background-color:#f1cfdc!important;
    mix-blend-mode: multiply!important;
    display:block!important;
    width: 100%!important;
    height: 100%!important;
    position: absolute;
    z-index:10!important;
}
*/

/* instagram feed */
.insta-feed {
    margin-bottom:0!important;
}

/* contact form */
.wpcf7-form label {
    font-weight:700!important;
    text-transform:uppercase!important;
}

.wpcf7-form-control-wrap input.wpcf7-form-control, .wpcf7-form-control-wrap textarea.wpcf7-form-control.wpcf7-textarea {
    padding: 10px!important;
    background-color: #fff!important;
    border: 1px solid #fff!important;
    transition: all 0.2s;
    -webkit-appearance: none;
    border-radius:0!important;
}

.wpcf7-form-control-wrap input.wpcf7-form-control:focus, .wpcf7-form-control-wrap textarea.wpcf7-form-control.wpcf7-textarea:focus {
    border:1px solid #ec008c!important;
    outline-offset: -1px!important;
}

input.wpcf7-form-control.wpcf7-submit {
    padding: 10px 15px!important;
}

input.wpcf7-form-control.wpcf7-submit:hover {
    opacity:0.6!important;
}

/* sign-up form */
.footer-content {
	display: flex;
	flex-direction: column;
	align-items: center;
	flex: 1;
	flex-grow: 0;
	z-index:1;
	/* hugs div to bottom of page */
	margin-bottom: auto;
}

.bottomflexcontainer {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	justify-content: center;
	align-items: stretch;
	align-content: center;
	padding: 10px;
}

.bottomflexbox1 {
	flex: 1;
	min-width:60px;
	max-width:100px;
	padding:0;
	margin:1%;
	text-align:center;
}

@media only screen and (max-width: 690px) {
	.bottomflexbox1 {
		min-width:340px;
	}
}

.bottomflexbox2 {
	flex: 1;
	min-width:280px;
	max-width:440px;
	padding:0;
	margin:1%;
}

@media only screen and (max-width: 690px) {
	.bottomflexbox2 {
	    min-width:340px;
		text-align:center;
	}
}

.bottomflexbox3 {
	flex: 1;
	min-width:340px;
	max-width:400px;
	padding:0;
	margin:1%;
}

.flexboxcontent {
	position: relative;
	top: 50%;
	transform: translateY(-50%);
}

p.signup a {
    color:#fff;
    text-decoration:underline;
    transition:all 0.2s;
}

p.signup a:hover {
    opacity:0.6;
}

/* gravity forms */
.gf-container {
	width: 100%;
	max-width: 600px;
	padding: 20px;
}

.gform-theme--foundation .gform_fields {
	grid-row-gap: 20px!important;
	row-gap: 20px!important;
}

body .gform_wrapper .top_label .gfield_label {
	color: #ec008c!important;
	text-transform: uppercase;
	margin-top: 0px!important;
}

.gform-body .ginput_container_email input,
.gform-body .ginput_container_text input,
.gform-body .ginput_container_textarea textarea {
	color: #ec008c!important;
	background-color: #fff!important;
	border-radius: 0!important;
	border-color: #fff!important;
	box-shadow: none!important;
}

.gform-body .ginput_container_email input:focus,
.gform-body .ginput_container_text input:focus,
.gform-body .ginput_container_textarea textarea:focus {
	border-color: #ec008c!important;
}

.gform-body .ginput_container_email input::placeholder,
.gform-body .ginput_container_text input::placeholder {
	color: #545454!important;
}

.gform-contact .gform_wrapper form .gform_footer input[type="submit"].gform_button {
    background-color: #ec008c!important;
    color: #fff!important;
}

.gform_wrapper form .gform_footer input[type="submit"].gform_button {
    border: none!important;
	border-radius: 0!important;
    background-color: #fff!important;
    color: #ec008c!important;
	font-weight: 700!important;
	letter-spacing: 0.4em;
	transition: all 0.3s ease;
}

.gform_wrapper form .gform_footer input[type="submit"].gform_button:hover {
    opacity: 0.7!important;
}

body .gform_confirmation_wrapper .gform_confirmation_message {
	font-size: 18px!important;
	text-align: center!important;
}

/* disable focus highlight 
input:focus, select:focus, textarea:focus, button:focus {
    outline: none;
}
*/

/* MC4WP MailChimp */
.mc-field-flex-container {
	display:flex;
	flex-wrap:wrap;
	justify-content:center;
	align-items:center;
	align-content:stretch;
}

.field {
	flex:1;
	width:100%;
	min-width:120px;
	margin:4px;
	display:flex;
}

@media only screen and (max-width: 400px) {
	.field {
		min-width:200px;
	}
}

.field input.mc-field {
    -webkit-appearance: none;
	border: 0;
	border-radius: 0;
	background-color:#fff!important;
	padding:10px!important;
	font-family: 'Montserrat', sans-serif;
	font-size:14px!important;
	font-weight:400!important;
	color:#ec008c!important;
	letter-spacing:1px;
	line-height:18px;
	margin:0;
	width:100%;
	box-shadow: none!important;
}

input.mc-field::placeholder {
  color: #808080!important;
}

input.mc-button {
	-webkit-appearance: none;
	border:0;
	border-radius: 0;
	-webkit-border-radius: 0;
	background-color: #fff!important;
	padding:10px 10px!important;
	width:100%;
	font-family: 'Montserrat', sans-serif;
	font-size:14px!important;
	letter-spacing:2px!important;
	font-weight:600!important;
	color:#ec008c!important;
	margin:0;
	transition: all 0.2s;
}

.container-wrap .span_12.light input[type="submit"].mc-button:hover {
    background-color: #fff!important;
	opacity: 0.6!important;
	cursor: pointer!important;
}

div.clear {
	clear:both;
}

.button-container {
	width:100%;
	margin:4px;
}

.mc4wp-alert p {
    color: #fff!important;
    text-align: center!important;
    font-size: 12px!Important;
    margin-top: 10px!important;
}

/* footer */
#footer-outer #copyright p {
    font-family:'Montserrat'!important;
    font-size:10px!important;
}

#copyright.row {
    padding-bottom:30px!important;
}

#footer-widgets .container {
    padding:0!important;
}

#footer-outer .row {
    padding-top:30px!important;
}

.footer-signup {
    width:100%;
    padding:10px 0;
    background-color:#333;
    text-align:center;
}

.footer-signup a:hover {
    opacity:0.6;
}

.footer-signup a {
    text-decoration:underline;
    transition: all 0.2s;
}

/* properties */
.footer-flex-container {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	justify-content: center;
	align-content: center;
}

.footer-flex-box {
	flex: 1 1 auto;
	padding:10px 10px;
	text-align:center;
}

.footer-flex-box {
    font-family:'Montserrat'!important;
    font-size:10px!important;
    color:#fff!important;
    font-weight:600!important;
    transition: all 0.2s;
}

.footer-flex-box a:hover {
    opacity:0.7!important;
}

@media only screen and (max-width: 999px) and (min-width: 690px) {
    #footer-widgets .container .col {
        margin-left:0!important;
    }
}

/* icons */
.icon-a {
    margin:0 10px;
}

.icon {
	fill: #666666;
	transition: all 0.2s;
	display: inline-block;
}

.icon:hover {
	opacity:0.8;
	cursor: pointer;
}

.icon2 {
	fill: #fff;
	transition: all 0.2s;
	display: inline-block;
}

.icon2:hover {
	opacity:0.6;
	cursor: pointer;
}

#copyright p {
    font-size:10px!important;
}